   --   , ""
   --   
   ----------------------
   lstEl:: a -> [a]
   lstEl x = [x]
   ----------------------------------------------------
   -- ,     
   --       :
   --  (1)    
   --  ;
   --  (2)     (.);
   --  (3)      
   -------------------------------------------------
   body:: [Char] -> [Char]
   body lst = reverse (tail (init lst))
   ------------------------------------
   body1:: [Char] -> [Char]
   body1 = reverse.tail.init
   --------------------------
   body2:: (->) [Char] [Char]
   body2 = (.) ((.) reverse tail) init
   -----------------------------------
   --   :
   --------------------------------
   test1 =   lstEl 1         == [1]
          && lstEl 'a'       == ['a']
          && lstEl "abc def" == ["abc def"]
          && lstEl True      == [True]
   --------------------------------------
   test2 =   body ['a','n']         == []
          && body ['f','a','b','a'] == ['b','a'] 
          && body ['f','a','b','a'] == "ba" 
          && body "q1234567b"       == "7654321" 
   ---------------------------------------------
   test3 =   body1 ['a','n']         == []
          && body1 ['f','a','b','a'] == ['b','a'] 
          && body1 ['f','a','b','a'] == "ba" 
          && body1 "q1234567b"       == "7654321" 
   ----------------------------------------------
   test4 =   body2 ['a','n']         == []
          && body2 ['f','a','b','a'] == ['b','a'] 
          && body2 ['f','a','b','a'] == "ba" 
          && body2 "q1234567b"       == "7654321"
   ----------------------------------------------
   test5 = f "q1234567b" "q1234567b"
            where f = (.) (flip ((.) (==) body1)) body2
